#pragma once

#include "kpi_player.h"
#include "kpi_impl.h"

class KbMovPlayerModule : public KbKpiUnknownImpl<IKpiPlayerModule>
{
private:
    KPI_PLAYER_MODULEINFO m_ModuleInfo;
    IKpiConfig           *m_pConfig;
    wchar_t* m_pszSupportExts;
public:
    void  WINAPI GetModuleInfo(const KPI_PLAYER_MODULEINFO **ppInfo);
    DWORD WINAPI Open(const KPI_MEDIAINFO *cpRequest, 
                      IKpiFile *pFile, 
                      IKpiFolder *pFolder, 
                      IKpiPlayer **ppPlayer);
    BOOL  WINAPI EnumConfig(IKpiConfigEnumerator *pEnumerator);
    DWORD WINAPI ApplyConfig(const wchar_t *cszSection,//セクション名
                             const wchar_t *cszKey,    //キー名
                             INT64  nValue, //変更後の値(BOOL/INT の場合)
                             double dValue, //変更後の値(FLOAT の場合)
                             const wchar_t *cszValue);//変更後の値(文字列)
    KbMovPlayerModule(IKpiConfig *pConfig);
    ~KbMovPlayerModule(void);
};

